package com.hzya.frame.sys.proof.entity;

import java.util.Date;

import com.hzya.frame.sys.proofDetail.entity.ProofDetailEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 凭证  entity
 * @tableName: sys_proof
 * @entityName: ProofEntity
 * @author: gjh
 * @history: 1.0
 */
public class ProofEntity extends BaseEntity {

    /**
     * 单据标题
     */
    private String receipt_title;
    /**
     * 会计期间
     */
    private String ap;
    /**
     * 凭证字
     */
    private String vou;
    /**
     * 凭证号
     */
    private String voucher_number;
    /**
     * 帐套号
     */
    private String sob_no;
    /**
     * 年度
     */
    private String year;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date push_date;
    /**
     * 凭证状态
     */
    private String certificate_status;
    /**
     * 审核人
     */
    private String auditor;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditor_date;
    /**
     * 记账人
     */
    private String bookkeeper;
    /**
     * 出纳
     */
    private String teller;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date certificate_date;
    /**
     * 失败原因
     */
    private String err_msg;
    /**
     * 分录合并
     */
    private String consolidation_entries;
    /**
     * 排序
     */
    private Long sorts;
    /**
     * 组织机构ID
     */
    private String org_id;
    //凭证明细
    private List<ProofDetailEntity> proofDetails;
    /** 帐套 */
    private List<String> sobs;
    /** 帐套 */
    private List<String> ids;
    /**
     * 制单人
     */
    private String documenter;
    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public List<String> getSobs() {
        return sobs;
    }

    public void setSobs(List<String> sobs) {
        this.sobs = sobs;
    }

    /**
     * 单据标题
     */
    public void setReceipt_title(String receipt_title) {
        this.receipt_title = receipt_title;
    }

    /**
     * 单据标题
     */
    public String getReceipt_title() {
        return receipt_title;
    }


    /**
     * 会计期间
     */
    public void setAp(String ap) {
        this.ap = ap;
    }

    /**
     * 会计期间
     */
    public String getAp() {
        return ap;
    }

    public String getDocumenter() {
        return documenter;
    }

    public void setDocumenter(String documenter) {
        this.documenter = documenter;
    }

    /**
     * 凭证字
     */
    public void setVou(String vou) {
        this.vou = vou;
    }

    /**
     * 凭证字
     */
    public String getVou() {
        return vou;
    }


    /**
     * 凭证号
     */
    public void setVoucher_number(String voucher_number) {
        this.voucher_number = voucher_number;
    }

    /**
     * 凭证号
     */
    public String getVoucher_number() {
        return voucher_number;
    }


    /**
     * 帐套号
     */
    public void setSob_no(String sob_no) {
        this.sob_no = sob_no;
    }

    /**
     * 帐套号
     */
    public String getSob_no() {
        return sob_no;
    }


    /**
     * 年度
     */
    public void setYear(String year) {
        this.year = year;
    }

    /**
     * 年度
     */
    public String getYear() {
        return year;
    }


    /**
     * 推送日期
     */
    public void setPush_date(Date push_date) {
        this.push_date = push_date;
    }

    /**
     * 推送日期
     */
    public Date getPush_date() {
        return push_date;
    }


    /**
     * 凭证状态
     */
    public void setCertificate_status(String certificate_status) {
        this.certificate_status = certificate_status;
    }

    /**
     * 凭证状态
     */
    public String getCertificate_status() {
        return certificate_status;
    }


    /**
     * 审核人
     */
    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    /**
     * 审核人
     */
    public String getAuditor() {
        return auditor;
    }


    /**
     * 审核日期
     */
    public void setAuditor_date(Date auditor_date) {
        this.auditor_date = auditor_date;
    }

    /**
     * 审核日期
     */
    public Date getAuditor_date() {
        return auditor_date;
    }


    /**
     * 记账人
     */
    public void setBookkeeper(String bookkeeper) {
        this.bookkeeper = bookkeeper;
    }

    /**
     * 记账人
     */
    public String getBookkeeper() {
        return bookkeeper;
    }


    /**
     * 出纳
     */
    public void setTeller(String teller) {
        this.teller = teller;
    }

    /**
     * 出纳
     */
    public String getTeller() {
        return teller;
    }


    /**
     * 凭证日期
     */
    public void setCertificate_date(Date certificate_date) {
        this.certificate_date = certificate_date;
    }

    /**
     * 凭证日期
     */
    public Date getCertificate_date() {
        return certificate_date;
    }


    /**
     * 失败原因
     */
    public void setErr_msg(String err_msg) {
        this.err_msg = err_msg;
    }

    /**
     * 失败原因
     */
    public String getErr_msg() {
        return err_msg;
    }


    /**
     * 分录合并
     */
    public void setConsolidation_entries(String consolidation_entries) {
        this.consolidation_entries = consolidation_entries;
    }

    /**
     * 分录合并
     */
    public String getConsolidation_entries() {
        return consolidation_entries;
    }


    /**
     * 排序
     */
    public void setSorts(Long sorts) {
        this.sorts = sorts;
    }

    /**
     * 排序
     */
    public Long getSorts() {
        return sorts;
    }


    /**
     * 组织机构ID
     */
    @Override
    public void setOrg_id(String org_id) {
        this.org_id = org_id;
    }

    /**
     * 组织机构ID
     */
    @Override
    public String getOrg_id() {
        return org_id;
    }


    public List<ProofDetailEntity> getProofDetails() {
        return proofDetails;
    }

    public void setProofDetails(List<ProofDetailEntity> proofDetails) {
        this.proofDetails = proofDetails;
    }
}
